AutoSegments_AnchorOnGCell(3)

NAME
AutoSegments_AnchorOnGCell - All AutoSegment Beginning and/or Stopping in a GCell.

SYNOPSIS

Inherits Collection< Type >.

  Public Member Functions
AutoSegments_AnchorOnGCell (GCell *fcell, unsigned int flags)
AutoSegments_AnchorOnGCell (const AutoSegments_AnchorOnGCell &)
virtual AutoSegmentHC * getClone () const
virtual AutoSegmentHL * getLocator () const

Detailed Description

All AutoSegment Beginning and/or Stopping in a GCell. A Collection to iterate over all the AutoSegment that begin from and/or end in a GCell.

Constructor & Destructor Documentation

  AutoSegments_AnchorOnGCell (GCell * fcell, unsigned int flags) [inline]
Create a collection of all the AutoSegment beginning from and/or ending in fcell. The set returned by the Collection is selected through flags :

•   Katabatic::KbBySource : include AutoSegment starting from fcell.

•   Katabatic::KbByTarget : include AutoSegment ending in fcell.

•   Katabatic::KbHorizontal : include horizontal AutoSegment.

•   Katabatic::KbVertical : include vertical AutoSegment.

  AutoSegments_AnchorOnGCell (const AutoSegments_AnchorOnGCell & autosegments) [inline]
Copy constructor.

Member Function Documentation

  AutoSegmentHC * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Collection< Type >.

  AutoSegmentHC * getLocator () const [virtual]
Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.